Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCharArray Class Reference

`#include <vtkCharArray.h>`

Inheritance diagram for vtkCharArray:

[legend]
Collaboration diagram for vtkCharArray:

[legend]
List of all members.

## Detailed Description

dynamic, self-adjusting character array

Date:
  2002/11/12 18:32:04

Revision:
  1.46

vtkCharArray is an array of character values. It provides methods for insertion and retrieval of characters, and will automatically resize itself to hold new data.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (38%)
  - Martin, Ken (21%)
  - Henderson, Amy (8%)
  - Geveci, Berk (8%)
  - Kelly, Ann (7%)
  - Miller, Jim (6%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkCharArray.h)`
  - .`cxx` (`/Common/vtkCharArray.cxx)`

Tests:
  vtkCharArray (Tests)

Definition at line 50 of file vtkCharArray.h.

## Public Types
typedef vtkDataArray | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | Allocate (const vtkIdType sz, const vtkIdType ext=1000)
void | Initialize ()
int | GetDataType ()
int | GetDataTypeSize ()
void | SetNumberOfTuples (const vtkIdType number)
float * | GetTuple (const vtkIdType i)
void | Squeeze ()
virtual void | Resize (vtkIdType numTuples)
float | GetComponent (const vtkIdType i, const int j)
void | SetComponent (const vtkIdType i, const int j, float c)
void | InsertComponent (const vtkIdType i, const int j, float c)
char | GetValue (const vtkIdType id)
void | SetNumberOfValues (const vtkIdType number)
char * | WritePointer (const vtkIdType id, const vtkIdType number)
void | InsertValue (const vtkIdType id, const char c)
vtkIdType | InsertNextValue (const char c)
void | DeepCopy (vtkDataArray *ia)
void | GetTuple (const vtkIdType i, float *tuple)
void | GetTuple (const vtkIdType i, double *tuple)
void | SetTuple (const vtkIdType i, const float *tuple)
void | SetTuple (const vtkIdType i, const double *tuple)
void | InsertTuple (const vtkIdType i, const float *tuple)
void | InsertTuple (const vtkIdType i, const double *tuple)
vtkIdType | InsertNextTuple (const float *tuple)
vtkIdType | InsertNextTuple (const double *tuple)
void | SetValue (const vtkIdType id, const char value)
void * | GetVoidPointer (const vtkIdType id)
char * | GetPointer (const vtkIdType id)
void | SetArray (char *array, vtkIdType size, int save)
void | SetVoidArray (void *array, vtkIdType size, int save)
## Static Public Methods
vtkCharArray * | New ()
int | IsTypeOf (const char *type)
vtkCharArray * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCharArray (vtkIdType numComp=1)
| ~vtkCharArray ()
char * | ResizeAndExtend (const vtkIdType sz)
## Protected Attributes
char * | Array
int | TupleSize
float * | Tuple
int | SaveUserArray

## Member Typedef Documentation

typedef vtkDataArray vtkCharArray::Superclass

| Reimplemented from vtkDataArray. Definition at line 55 of file vtkCharArray.h.

## Constructor & Destructor Documentation

vtkCharArray::vtkCharArray | ( | vtkIdType | numComp = 1 | ) | `[protected]`

vtkCharArray::~vtkCharArray | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCharArray* vtkCharArray::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkCharArray::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataArray.

int vtkCharArray::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

virtual int vtkCharArray::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

vtkCharArray* vtkCharArray::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataArray.

void vtkCharArray::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataArray.

int vtkCharArray::Allocate | ( | const vtkIdType | sz,
|  | const vtkIdType | ext = 1000
| ) | `[virtual]`

| Allocate memory for this array. Delete old storage only if necessary. Note that ext is no longer used. Implements vtkDataArray. Referenced by SetNumberOfValues().

void vtkCharArray::Initialize | ( |  | ) | `[virtual]`

| Release storage and reset array to initial state. Implements vtkDataArray.

int vtkCharArray::GetDataType | ( |  | ) | `[inline, virtual]`

| Get the data type. Implements vtkDataArray. Definition at line 66 of file vtkCharArray.h. References VTK_CHAR.

int vtkCharArray::GetDataTypeSize | ( |  | ) | `[inline, virtual]`

| Return the size of the data type. Implements vtkDataArray. Definition at line 69 of file vtkCharArray.h.

void vtkCharArray::SetNumberOfTuples | ( | const vtkIdType | number | ) | `[virtual]`

| Set the number of tuples in the array. Note that this allocates space depending on the tuple dimension. Implements vtkDataArray.

float* vtkCharArray::GetTuple | ( | const vtkIdType | i | ) | `[virtual]`

| Get a pointer to a tuple at the ith location. This is a dangerous method (it is not thread safe since a pointer is returned). Implements vtkDataArray.

void vtkCharArray::GetTuple | ( | const vtkIdType | i,
|  | float * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Implements vtkDataArray.

void vtkCharArray::GetTuple | ( | const vtkIdType | i,
|  | double * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Reimplemented from vtkDataArray.

void vtkCharArray::SetTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Implements vtkDataArray.

void vtkCharArray::SetTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Reimplemented from vtkDataArray.

void vtkCharArray::InsertTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Implements vtkDataArray.

void vtkCharArray::InsertTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Reimplemented from vtkDataArray.

vtkIdType vtkCharArray::InsertNextTuple | ( | const float * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Implements vtkDataArray.

vtkIdType vtkCharArray::InsertNextTuple | ( | const double * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Reimplemented from vtkDataArray.

void vtkCharArray::Squeeze | ( |  | ) | `[inline, virtual]`

| Resize object to just fit data requirement. Reclaims extra memory. Implements vtkDataArray. Definition at line 106 of file vtkCharArray.h.

virtual void vtkCharArray::Resize | ( | vtkIdType | numTuples | ) | `[virtual]`

| Resize the array while conserving the data. Implements vtkDataArray.

float vtkCharArray::GetComponent | ( | const vtkIdType | i,
|  | const int | j
| ) | `[virtual]`

| Return the data component at the ith tuple and jth component location. Note that i is less than NumberOfTuples and j is less than NumberOfComponents. Reimplemented from vtkDataArray.

void vtkCharArray::SetComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Set the data component at the ith tuple and jth component location. Note that i is less than NumberOfTuples and j is less than NumberOfComponents. Make sure enough memory has been allocated (use SetNumberOfTuples() and SetNumberOfComponents()). Reimplemented from vtkDataArray.

void vtkCharArray::InsertComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Insert the data component at ith tuple and jth component location. Note that memory allocation is performed as necessary to hold the data. Reimplemented from vtkDataArray.

char vtkCharArray::GetValue | ( | const vtkIdType | id | ) | `[inline]`

| Get the data at a particular index. Definition at line 128 of file vtkCharArray.h. References id, and vtkIdType.

void vtkCharArray::SetValue | ( | const vtkIdType | id,
|  | const char | value
| ) | `[inline]`

| Set the data at a particular index. Does not do range checking. Make sure you use the method SetNumberOfValues() before inserting data. Definition at line 133 of file vtkCharArray.h. References id, and vtkIdType.

void vtkCharArray::SetNumberOfValues | ( | const vtkIdType | number | ) | `[inline]`

| Specify the number of values for this object to hold. Does an allocation as well as setting the MaxId ivar. Used in conjunction with SetValue() method for fast insertion. Definition at line 197 of file vtkCharArray.h. References Allocate(), vtkDataArray::MaxId, and vtkIdType.

char * vtkCharArray::WritePointer | ( | const vtkIdType | id,
|  | const vtkIdType | number
| ) | `[inline]`

| Get the address of a particular data index. Make sure data is allocated for the number of items requested. Set MaxId according to the number of data values requested. Definition at line 207 of file vtkCharArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType.

void vtkCharArray::InsertValue | ( | const vtkIdType | id,
|  | const char | c
| ) | `[inline]`

| Insert data at a specified position in the array. Definition at line 222 of file vtkCharArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType. Referenced by InsertNextValue().

vtkIdType vtkCharArray::InsertNextValue | ( | const char | c | ) | `[inline]`

| Insert data at the end of the array. Return its location in the array. Definition at line 235 of file vtkCharArray.h. References InsertValue(), vtkDataArray::MaxId, and vtkIdType.

void* vtkCharArray::GetVoidPointer | ( | const vtkIdType | id | ) | `[inline, virtual]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Implements vtkDataArray. Definition at line 157 of file vtkCharArray.h. References id, and vtkIdType.

char* vtkCharArray::GetPointer | ( | const vtkIdType | id | ) | `[inline]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Definition at line 159 of file vtkCharArray.h. References id, and vtkIdType.

void vtkCharArray::DeepCopy | ( | vtkDataArray * | ia | ) | `[virtual]`

| Deep copy of another char array. Reimplemented from vtkDataArray.

void vtkCharArray::SetArray | ( | char * | array,
|  | vtkIdType | size,
|  | int | save
| ) |

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array.

void vtkCharArray::SetVoidArray | ( | void * | array,
|  | vtkIdType | size,
|  | int | save
| ) | `[inline]`

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array. Definition at line 173 of file vtkCharArray.h. References vtkIdType.

char* vtkCharArray::ResizeAndExtend | ( | const vtkIdType | sz | ) | `[protected]`

| Referenced by InsertValue(), and WritePointer().

## Member Data Documentation

char* vtkCharArray::Array`[protected]`

| Definition at line 181 of file vtkCharArray.h. Referenced by InsertValue(), and WritePointer().

int vtkCharArray::TupleSize`[protected]`

| Definition at line 184 of file vtkCharArray.h.

float* vtkCharArray::Tuple`[protected]`

| Definition at line 185 of file vtkCharArray.h.

int vtkCharArray::SaveUserArray`[protected]`

| Definition at line 187 of file vtkCharArray.h.

The documentation for this class was generated from the following file:

- Common/vtkCharArray.h